Get profile transcripts by profile

Returns all transcripts for a specific profile across all classes. Use transcript_subjects (not the deprecated courses key) for subject data.

Path Parameters
  • profile_id
    Type: string
    required

    Unique identifier of the profile.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/transcripts/profiles/{profile_id}/transcripts
curl https://school.fullfabric.cloud/apis/transcripts/profiles/507f1f77bcf86cd799439011/transcripts \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
[
  {
    "id": "6979e931f398a61715789adb",
    "study_plan_id": "664cc3fe9a52af742f49d429",
    "course_id": null,
    "profile_id": "6385bdd4976a7719120108e9",
    "created_at": 1709597233,
    "updated_at": 1712000000,
    "transcript_subjects": [
      {
        "id": "6979e931f398a61715789adc",
        "course_type": "Core",
        "credits": 12,
        "hours": 36,
        "max_number_absences": 2,
        "course_id": "6385baad976a7719120008ca",
        "subject_id": "6385baad976a7719120008ca",
        "category_id": null,
        "counts_towards_curricular_grade": true,
        "counts_towards_total_credits": true
      }
    ],
    "registrations": [
      {
        "id": "65e6e5aaf398a642a7022ab5",
        "unit_id": "6385baad976a7719120008e3",
        "course_id": "6385baad976a7719120008ca",
        "transcript_subject_id": "6385bcf1976a77191200ba5d",
        "profile_id": "6385bdd4976a7719120108e9",
        "state_name": "pass",
        "grade_state_name": "pass",
        "awarded": true,
        "published": true,
        "grade_notes": "Strong analytical skills demonstrated.",
        "grade_feedback": "Excellent work on the valuation case study.",
        "grades": [
          {
            "id": "667ae7cb6ab728271421708e",
            "label": "Coursework",
            "name": "__coursework",
            "value": "78",
            "published": true,
            "comment": null,
            "resit_value": null,
            "resit_justification": null
          },
          {
            "id": "667ae7d46ab72827142170a5",
            "label": "Final Exam",
            "name": "__final_exam",
            "value": "82",
            "published": true,
            "comment": null,
            "resit_value": null,
            "resit_justification": null
          },
          {
            "id": "6385baad976a7719120008e6",
            "label": "Final grade",
            "name": "final",
            "value": "80",
            "published": true,
            "comment": null,
            "resit_value": null,
            "resit_justification": null
          }
        ],
        "created_at": 1709630890,
        "updated_at": 1712000000
      }
    ]
  }
]